//
// ApiUtilisateurAPI.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Alamofire



open class ApiUtilisateurAPI: APIBase {
    /**
     Rajoute un utilisateur
     
     - parameter idFoyer: (query)  
     - parameter nom: (query)  
     - parameter prenom: (query)  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func apiUtilisateurAjouterPost(idFoyer: String, nom: String, prenom: String, completion: @escaping ((_ data: IdentifiantUtilisateur?,_ error: Error?) -> Void)) {
        apiUtilisateurAjouterPostWithRequestBuilder(idFoyer: idFoyer, nom: nom, prenom: prenom).execute { (response, error) -> Void in
            completion(response?.body, error);
        }
    }


    /**
     Rajoute un utilisateur
     - POST /apiUtilisateur/ajouter
     - Permet d'ajouter un utilisateur au sein d'un foyer
     - BASIC:
       - type: basic
       - name: Basic
     - examples: [{contentType=application/json, example={
  "identifiantUtilisateur" : "aeiou"
}}]
     
     - parameter idFoyer: (query)  
     - parameter nom: (query)  
     - parameter prenom: (query)  

     - returns: RequestBuilder<IdentifiantUtilisateur> 
     */
    open class func apiUtilisateurAjouterPostWithRequestBuilder(idFoyer: String, nom: String, prenom: String) -> RequestBuilder<IdentifiantUtilisateur> {
        let path = "/apiUtilisateur/ajouter"
        let URLString = MyVillageAPIAPI.basePath + path

        let nillableParameters: [String:Any?] = [
            "idFoyer": idFoyer,
            "nom": nom,
            "prenom": prenom
        ]
 
        let parameters = APIHelper.rejectNil(nillableParameters)
 
        let convertedParameters = APIHelper.convertBoolToString(parameters)
 
        let requestBuilder: RequestBuilder<IdentifiantUtilisateur>.Type = MyVillageAPIAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "POST", URLString: URLString, parameters: convertedParameters, isBody: false)
    }

    /**
     Supprime un utilisateur
     
     - parameter identifiantUtilisateur: (query)  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func apiUtilisateurSupprimerPost(identifiantUtilisateur: String, completion: @escaping ((_ error: Error?) -> Void)) {
        apiUtilisateurSupprimerPostWithRequestBuilder(identifiantUtilisateur: identifiantUtilisateur).execute { (response, error) -> Void in
            completion(error);
        }
    }


    /**
     Supprime un utilisateur
     - POST /apiUtilisateur/supprimer
     - Permet de supprimer un utilisateur au sein d'un foyer
     - BASIC:
       - type: basic
       - name: Basic
     
     - parameter identifiantUtilisateur: (query)  

     - returns: RequestBuilder<Void> 
     */
    open class func apiUtilisateurSupprimerPostWithRequestBuilder(identifiantUtilisateur: String) -> RequestBuilder<Void> {
        let path = "/apiUtilisateur/supprimer"
        let URLString = MyVillageAPIAPI.basePath + path

        let nillableParameters: [String:Any?] = [
            "identifiantUtilisateur": identifiantUtilisateur
        ]
 
        let parameters = APIHelper.rejectNil(nillableParameters)
 
        let convertedParameters = APIHelper.convertBoolToString(parameters)
 
        let requestBuilder: RequestBuilder<Void>.Type = MyVillageAPIAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "POST", URLString: URLString, parameters: convertedParameters, isBody: false)
    }

}
